PSLIST(1)

NAME
pslist - control processes and their descendants

SYNOPSIS
pslist [pid/name...]
pslist -h | --help
pslist -v | --version

rkill [-SIG] pid/name...

rrenice [+/-]pri pid/name...

DESCRIPTION
The pslist utility examines the list of current processes to find a specified process and all its descendants. A process may be specified either by name or by process ID. If no arguments are given, pslist displays a list of the whole process tree. For each process specified on the command line, pslist outputs a line containing the process ID, the command name, and the PIDs of all the descendants (and their descendants, etc.).

When invoked as rkill, this utility does not display information about the processes, but sends them all a signal instead. If not specified on the command line, a terminate (SIGTERM) signal is sent.

When invoked as rrenice, this utility does not display information about the processes, but attempts to set their nice value instead.

RETURN VALUES

SEE ALSO
pgrep(1), pkill(1)

HISTORY
The pslist utility was written by Peter Pentchev in 2000.

AUTHORS
Peter Penchev <roam@ringlet.net>